Bug 670993 - Tigervnc covers bottom of screen with scroll bar if only one scroll bar turned on
Tigervnc covers bottom of screen with scroll bar if only one scroll bar turne...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-19 15:59 EST by Penelope Fudd
Modified: 2013-04-30 19:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: tigervnc-1.0.90-0.25.20100813svn4123.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-19 15:29:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Penelope Fudd 2011-01-19 15:59:54 EST
Description of problem:
I use tiger vnc to connect to a dual-monitor computer running MacOS, where the two monitors are not as tall as my monitor.  As a result, the vnc window is shrunken horizontally and a scroll bar is put on the bottom of the window.  This would be fine, except that the scroll bar is covering up the bottom of the Mac's dock area, so I can't see which applications are running.  

I can't make the window larger vertically, but if I shrink it, the vertical scroll bar shows up, and I can then scroll down and see the bottom of the dock area.  If I then make the window larger vertically again, such that the vertical scroll bar goes away, now the top of the window is unreachable, as it is just off the top of window.

The solution is to make the window larger vertically when the horizontal scroll bar is added.  This logic may also be needed for the other scroll bar, but I haven't tested it.

Version-Release number of selected component (if applicable):
tigervnc-1.0.90-0.15.20100420svn4030.fc13.i686

How reproducible:
Always

Steps to Reproduce:
1. Connect to a vnc server with a wider but shorter screen than your own.
2. See that the horizontal scroll bar has covered part of the screen.
3.
  
Actual results:
Scroll bar obscures bottom edge of screen

Expected results:
Window should stretch to accommodate height of scroll bar and screen.

Additional info:
Connecting to MacOSX Snowleopard dual-monitor system from virtualbox'd Fedora 14 on MacOSX Snowleopard vertically larger single-monitor system.
Comment 1 Adam Tkac 2011-01-20 04:49:09 EST
Thanks for report, this issue is already fixed in upstream (http://www.mail-archive.com/tigervnc-devel@lists.sourceforge.net/msg00957.html).
Comment 2 Fedora Update System 2011-04-13 11:19:15 EDT
tigervnc-1.0.90-0.25.20100813svn4123.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/tigervnc-1.0.90-0.25.20100813svn4123.fc14
Comment 3 Fedora Update System 2011-04-13 16:50:07 EDT
Package tigervnc-1.0.90-0.25.20100813svn4123.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tigervnc-1.0.90-0.25.20100813svn4123.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/tigervnc-1.0.90-0.25.20100813svn4123.fc14
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-04-19 15:29:07 EDT
tigervnc-1.0.90-0.25.20100813svn4123.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.